rte_flow_item_pppoe(3)

NAME
rte_flow_item_pppoe

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint8_t version_type
uint8_t code
rte_be16_t session_id
rte_be16_t length

Detailed Description

RTE_FLOW_ITEM_TYPE_PPPOE.

Matches a PPPoE header.

Definition at line 1655 of file rte_flow.h.

Field Documentation

  uint8_t version_type
Version (4b), type (4b).

Definition at line 1659 of file rte_flow.h.

  uint8_t code
Message type.

Definition at line 1660 of file rte_flow.h.

  rte_be16_t session_id
Session identifier.

Definition at line 1661 of file rte_flow.h.

  rte_be16_t length
Payload length.

Definition at line 1662 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.